
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>imapclient.exceptions &#8212; IMAPClient 2.3.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/sphinxdoc.css" />
    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="../../_static/doctools.js"></script>
    <link rel="search" title="Search" href="../../search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../py-modindex.html" title="Python Module Index"
             >modules</a></li>
        <li class="nav-item nav-item-0"><a href="../../index.html">IMAPClient 2.3.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../index.html" accesskey="U">Module code</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">imapclient.exceptions</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <h1>Source code for imapclient.exceptions</h1><div class="highlight"><pre>
<span></span><span class="kn">import</span> <span class="nn">imaplib</span>

<span class="c1"># Base class allowing to catch any IMAPClient related exceptions</span>
<span class="c1"># To ensure backward compatibility, we &quot;rename&quot; the imaplib general</span>
<span class="c1"># exception class, so we can catch its exceptions without having to</span>
<span class="c1"># deal with it in IMAPClient codebase</span>
<span class="n">IMAPClientError</span> <span class="o">=</span> <span class="n">imaplib</span><span class="o">.</span><span class="n">IMAP4</span><span class="o">.</span><span class="n">error</span>
<span class="n">IMAPClientAbortError</span> <span class="o">=</span> <span class="n">imaplib</span><span class="o">.</span><span class="n">IMAP4</span><span class="o">.</span><span class="n">abort</span>
<span class="n">IMAPClientReadOnlyError</span> <span class="o">=</span> <span class="n">imaplib</span><span class="o">.</span><span class="n">IMAP4</span><span class="o">.</span><span class="n">readonly</span>


<div class="viewcode-block" id="CapabilityError"><a class="viewcode-back" href="../../api.html#imapclient.exceptions.CapabilityError">[docs]</a><span class="k">class</span> <span class="nc">CapabilityError</span><span class="p">(</span><span class="n">IMAPClientError</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    The command tried by the user needs a capability not installed</span>
<span class="sd">    on the IMAP server</span>
<span class="sd">    &quot;&quot;&quot;</span></div>


<div class="viewcode-block" id="LoginError"><a class="viewcode-back" href="../../api.html#imapclient.exceptions.LoginError">[docs]</a><span class="k">class</span> <span class="nc">LoginError</span><span class="p">(</span><span class="n">IMAPClientError</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    A connection has been established with the server but an error</span>
<span class="sd">    occurred during the authentication.</span>
<span class="sd">    &quot;&quot;&quot;</span></div>


<div class="viewcode-block" id="IllegalStateError"><a class="viewcode-back" href="../../api.html#imapclient.exceptions.IllegalStateError">[docs]</a><span class="k">class</span> <span class="nc">IllegalStateError</span><span class="p">(</span><span class="n">IMAPClientError</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    The command tried needs a different state to be executed. This</span>
<span class="sd">    means the user is not logged in or the command needs a folder to</span>
<span class="sd">    be selected.</span>
<span class="sd">    &quot;&quot;&quot;</span></div>


<div class="viewcode-block" id="InvalidCriteriaError"><a class="viewcode-back" href="../../api.html#imapclient.exceptions.InvalidCriteriaError">[docs]</a><span class="k">class</span> <span class="nc">InvalidCriteriaError</span><span class="p">(</span><span class="n">IMAPClientError</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    A command using a search criteria failed, probably due to a syntax</span>
<span class="sd">    error in the criteria string.</span>
<span class="sd">    &quot;&quot;&quot;</span></div>


<div class="viewcode-block" id="ProtocolError"><a class="viewcode-back" href="../../api.html#imapclient.exceptions.ProtocolError">[docs]</a><span class="k">class</span> <span class="nc">ProtocolError</span><span class="p">(</span><span class="n">IMAPClientError</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;The server replied with a response that violates the IMAP protocol.&quot;&quot;&quot;</span></div>
</pre></div>

            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../py-modindex.html" title="Python Module Index"
             >modules</a></li>
        <li class="nav-item nav-item-0"><a href="../../index.html">IMAPClient 2.3.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../index.html" >Module code</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">imapclient.exceptions</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2014, Menno Smits.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.0.2.
    </div>
  </body>
</html>